## settings
Class Settings

    java.lang.Object
      settings.Settings

    public class Settings

extends java.lang.Object

Settings class contains fields that define the filenames and folder structure used in by the program. Also contains some other parameters for convenient access. Before the getFolder-methods can be used correctly the setAppRoot method must be run so that the application knows where to look for the folders and files.

Field Summary
`private static java.lang.String` `app_root`
`static int` `BACKUP_FILE_AMOUNT`
`private static java.lang.String` `BACKUP_FOLDER_NAME`
`static java.lang.String` `CHAR_ENCODING`
`private static java.lang.String` `CLOSED_DATA_FOLDER_NAME`
`private static ConfFile` `conf_file`
`static java.lang.String` `CONF_FILE_NAME`
`static java.lang.String` `COUNTRYLIST_FILE_NAME`
`static java.lang.String` `DATA_FILE_SUFFIX`
`private static java.lang.String` `DATA_FOLDER_NAME`
`static java.lang.String` `LOG_FILE_SUFFIX`
`private static java.lang.String` `password`
`static java.lang.String` `PRE_REGISTRATION_EXPORT_FILE_SUFFIX`
`private static java.lang.String` `PUBLIC_FOLDER_NAME`
`static java.lang.String` `REGISTRATION_EXPORT_FILE_SUFFIX`
`private static java.lang.String` `SYSLOG_FILE_NAME`
`static java.lang.String` `TOURNAMENT_FILENAME_PREFIX`

Constructor Summary
`Settings()`

Method Summary
`static java.io.File` `getBackupFolder()`
`static java.io.File` `getClosedDataFolder()`
`static java.io.File` `getDataFolder()`
`static ID` `getNextTournamentId()` Reads the next tournament ID from the configuration file.
`static java.lang.String` `getPassword()`
`static java.io.File` `getPublicFolder()`
`static java.io.File` `getSysLogFile()`
`static void` `setAppRoot(java.lang.String root)` Sets the root folder of the application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### app_root

    private static java.lang.String app_root

### DATA_FOLDER_NAME

    private static final java.lang.String DATA_FOLDER_NAME

See Also:
  Constant Field Values

### CLOSED_DATA_FOLDER_NAME

    private static final java.lang.String CLOSED_DATA_FOLDER_NAME

See Also:
  Constant Field Values

### BACKUP_FOLDER_NAME

    private static final java.lang.String BACKUP_FOLDER_NAME

See Also:
  Constant Field Values

### PUBLIC_FOLDER_NAME

    private static final java.lang.String PUBLIC_FOLDER_NAME

See Also:
  Constant Field Values

### SYSLOG_FILE_NAME

    private static final java.lang.String SYSLOG_FILE_NAME

See Also:
  Constant Field Values

### CONF_FILE_NAME

    public static final java.lang.String CONF_FILE_NAME

See Also:
  Constant Field Values

### COUNTRYLIST_FILE_NAME

    public static final java.lang.String COUNTRYLIST_FILE_NAME

See Also:
  Constant Field Values

### TOURNAMENT_FILENAME_PREFIX

    public static final java.lang.String TOURNAMENT_FILENAME_PREFIX

See Also:
  Constant Field Values

### DATA_FILE_SUFFIX

    public static final java.lang.String DATA_FILE_SUFFIX

See Also:
  Constant Field Values

### LOG_FILE_SUFFIX

    public static final java.lang.String LOG_FILE_SUFFIX

See Also:
  Constant Field Values

### REGISTRATION_EXPORT_FILE_SUFFIX

    public static final java.lang.String REGISTRATION_EXPORT_FILE_SUFFIX

See Also:
  Constant Field Values

### PRE_REGISTRATION_EXPORT_FILE_SUFFIX

    public static final java.lang.String PRE_REGISTRATION_EXPORT_FILE_SUFFIX

See Also:
  Constant Field Values

### CHAR_ENCODING

    public static final java.lang.String CHAR_ENCODING

See Also:
  Constant Field Values

### BACKUP_FILE_AMOUNT

    public static final int BACKUP_FILE_AMOUNT

See Also:
  Constant Field Values

### password

    private static java.lang.String password

### conf_file

    private static ConfFile conf_file

Constructor Detail

### Settings

    public Settings()

Method Detail

### setAppRoot

    public static void setAppRoot(java.lang.String root)
                           throws GoException

  Sets the root folder of the application. Must be run before calling the getFolder methods or the return values will point to the root of the file system! The method also reads the administrator password from the configuration file.

  Throws:
    `GoException`

### getDataFolder

    public static java.io.File getDataFolder()

### getClosedDataFolder

    public static java.io.File getClosedDataFolder()

### getBackupFolder

    public static java.io.File getBackupFolder()

### getPublicFolder

    public static java.io.File getPublicFolder()

### getSysLogFile

    public static java.io.File getSysLogFile()

### getPassword

    public static java.lang.String getPassword()

### getNextTournamentId

    public static ID getNextTournamentId()
                                  throws GoException

  Reads the next tournament ID from the configuration file.

  Throws:
    `GoException`